## bonobo-a11y

bonobo-a11y

## Synopsis

    void                (*BonoboA11YClassInitFn)            (AtkObjectClass *klass);
    AtkObject *         bonobo_a11y_get_atk_object          (gpointer widget);
    AtkObject *         bonobo_a11y_set_atk_object_ret      (GtkWidget *widget,
                                                             AtkObject *object);
    GType               bonobo_a11y_get_derived_type_for    (GType widget_type,
                                                             const char *gail_parent_class,
                                                             BonoboA11YClassInitFn class_init);
    AtkObject *         bonobo_a11y_create_accessible_for   (GtkWidget *widget,
                                                             const char *gail_parent_class,
                                                             BonoboA11YClassInitFn class_init,
                                                             GType first_interface_type,
                                                             ...);
    void                bonobo_a11y_add_actions_interface   (GType a11y_object_type,
                                                             AtkActionIface *chain,
                                                             int first_id,
                                                             ...);

## Description

## Details

### BonoboA11YClassInitFn ()

    void                (*BonoboA11YClassInitFn)            (AtkObjectClass *klass);

`klass` : |

### bonobo_a11y_get_atk_object ()

    AtkObject *         bonobo_a11y_get_atk_object          (gpointer widget);

`widget` : |
Returns : |

### bonobo_a11y_set_atk_object_ret ()

    AtkObject *         bonobo_a11y_set_atk_object_ret      (GtkWidget *widget,
                                                             AtkObject *object);

`widget` : |
`object` : |
Returns : |

### bonobo_a11y_get_derived_type_for ()

    GType               bonobo_a11y_get_derived_type_for    (GType widget_type,
                                                             const char *gail_parent_class,
                                                             BonoboA11YClassInitFn class_init);

`widget_type` : |
`gail_parent_class` : |
`class_init` : |
Returns : |

### bonobo_a11y_create_accessible_for ()

    AtkObject *         bonobo_a11y_create_accessible_for   (GtkWidget *widget,
                                                             const char *gail_parent_class,
                                                             BonoboA11YClassInitFn class_init,
                                                             GType first_interface_type,
                                                             ...);

`widget` : |
`gail_parent_class` : |
`class_init` : |
`first_interface_type` : |
`...` : |
Returns : |

### bonobo_a11y_add_actions_interface ()

    void                bonobo_a11y_add_actions_interface   (GType a11y_object_type,
                                                             AtkActionIface *chain,
                                                             int first_id,
                                                             ...);

`a11y_object_type` : |
`chain` : |
`first_id` : |
`...` : |